Bug 245180 - [NEW PORT] databases/prometheus-postgresql-adapter: Use PostgreSQL as a remote storage database for Prometheus
Summary: [NEW PORT] databases/prometheus-postgresql-adapter: Use PostgreSQL as a remot...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitri Goutnik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-30 06:48 UTC by Felix Hanley
Modified: 2020-04-28 16:53 UTC (History)
1 user (show)

See Also:


Attachments
Package diff (8.75 KB, patch)
2020-03-30 06:48 UTC, Felix Hanley
no flags Details | Diff
Updated package (8.84 KB, patch)
2020-04-22 11:22 UTC, Felix Hanley
no flags Details | Diff
Package diff (8.84 KB, patch)
2020-04-22 11:51 UTC, Felix Hanley
no flags Details | Diff
Package diff (8.84 KB, patch)
2020-04-23 23:18 UTC, Felix Hanley
no flags Details | Diff
Package diff (10.95 KB, patch)
2020-04-27 11:17 UTC, Felix Hanley
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Hanley 2020-03-30 06:48:29 UTC
Created attachment 212853 [details]
Package diff

See https://github.com/timescale/prometheus-postgresql-adapter
Comment 1 Felix Hanley 2020-04-22 11:22:26 UTC
Created attachment 213677 [details]
Updated package

This change adds the startup script.
Comment 2 Felix Hanley 2020-04-22 11:51:22 UTC
Created attachment 213680 [details]
Package diff

Fixed the rc script naming
Comment 3 Felix Hanley 2020-04-23 23:18:21 UTC
Created attachment 213732 [details]
Package diff

Fixed daemon startup
Comment 4 Dmitri Goutnik freebsd_committer 2020-04-24 19:03:58 UTC
(In reply to Felix Hanley from comment #3)
Hi Felix,

Thank you for the new port submission. It looks like the patch you attached is missing rc script, did you forget to `svn add` it?
Comment 5 Felix Hanley 2020-04-27 11:17:34 UTC
Created attachment 213849 [details]
Package diff

Oops, forgot to svn add, seems my subversion fu is little used these days!
Comment 6 commit-hook freebsd_committer 2020-04-28 14:36:19 UTC
A commit references this bug:

Author: dmgk
Date: Tue Apr 28 14:35:23 UTC 2020
New revision: 533251
URL: https://svnweb.freebsd.org/changeset/ports/533251

Log:
  New port: databases/prometheus-postgresql-adapter

  Use PostgreSQL as a remote storage database for Prometheus

  WWW: https://github.com/timescale/prometheus-postgresql-adapter

  PR:		245180
  Submitted by:	Felix Hanley <felix@userspace.com.au>

Changes:
  head/databases/Makefile
  head/databases/prometheus-postgresql-adapter/
  head/databases/prometheus-postgresql-adapter/Makefile
  head/databases/prometheus-postgresql-adapter/distinfo
  head/databases/prometheus-postgresql-adapter/files/
  head/databases/prometheus-postgresql-adapter/files/prometheus-postgresql-adapter.in
  head/databases/prometheus-postgresql-adapter/pkg-descr
Comment 7 Dmitri Goutnik freebsd_committer 2020-04-28 14:37:01 UTC
Committed with some changes, thanks!
Comment 8 Mathieu Arnold freebsd_committer 2020-04-28 14:43:15 UTC
This software is abandoned, is there a point to adding it to the ports tree?
Comment 9 Dmitri Goutnik freebsd_committer 2020-04-28 16:53:43 UTC
The software is in working order and according to the "sunset notice", it will still be maintained. There doesn't seem to be an expiration date on the package.